<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'deudor-alimentario-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'IdJuzgado'); ?>
		<?php echo $form->dropDownList($model, 'IdJuzgado', GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdJuzgado'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'NroCausante'); ?>
		<?php echo $form->textField($model, 'NroCausante', array('maxlength' => 10)); ?>
		<?php echo $form->error($model,'NroCausante'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'AnioCausante'); ?>
		<?php echo $form->textField($model, 'AnioCausante', array('maxlength' => 10)); ?>
		<?php echo $form->error($model,'AnioCausante'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Apellido'); ?>
		<?php echo $form->textField($model, 'Apellido', array('maxlength' => 45)); ?>
		<?php echo $form->error($model,'Apellido'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Nombre'); ?>
		<?php echo $form->textField($model, 'Nombre', array('maxlength' => 45)); ?>
		<?php echo $form->error($model,'Nombre'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'TipoDoc'); ?>
		<?php echo $form->enumDropDownList($model, 'TipoDoc'); ?>
		<?php echo $form->error($model,'TipoDoc'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Documento'); ?>
		<?php echo $form->textField($model, 'Documento'); ?>
		<?php echo $form->error($model,'Documento'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'NroExpediente'); ?>
		<?php echo $form->textField($model, 'NroExpediente', array('maxlength' => 15)); ?>
		<?php echo $form->error($model,'NroExpediente'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'FechaInscripcion'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'FechaInscripcion',
			'value' => $model->FechaInscripcion,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'FechaInscripcion'); ?>
		</div><!-- row -->


<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->