<div class="wide form">

<?php $form = $this->beginWidget('GxActiveForm', array(
	'action' => Yii::app()->createUrl($this->route),
	'method' => 'get',
)); ?>

	<div class="row">
		<?php //echo $form->label($model, 'IdDeudorAlimentario'); ?>
		<?php //echo $form->textField($model, 'IdDeudorAlimentario', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'IdJuzgado'); ?>
		<?php //echo $form->dropDownList($model, 'IdJuzgado', GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
		<?php 
			$criteria = new CDbCriteria(array('order'=>'Nombre ASC'));
			echo $form->dropDownList($model,'IdJuzgado',CHtml::listData(Juzgado::model()->findAll($criteria),'IdJuzgado','Nombre'),array('prompt' => Yii::t('app', 'All')));
    ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'NroCausante'); ?>
		<?php echo $form->textField($model, 'NroCausante', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'AnioCausante'); ?>
		<?php echo $form->textField($model, 'AnioCausante', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Apellido'); ?>
		<?php echo $form->textField($model, 'Apellido', array('maxlength' => 45)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Nombre'); ?>
		<?php echo $form->textField($model, 'Nombre', array('maxlength' => 45)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'TipoDoc'); ?>
		<?php echo $form->enumDropDownList($model, 'TipoDoc'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Documento'); ?>
		<?php echo $form->textField($model, 'Documento'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'NroExpediente'); ?>
		<?php echo $form->textField($model, 'NroExpediente', array('maxlength' => 15)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'FechaInscripcion'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'FechaInscripcion',
			'value' => $model->FechaInscripcion,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row buttons">
		<?php echo GxHtml::submitButton(Yii::t('app', 'Search')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->
