<?php

class DherederoController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow',
				'actions'=>array('index','view','admin'),
				'users'=>array('*'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create','update','checkDuplicateDHeredero'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('delete'),
				'users'=>array('informatica','A.M.Carrizo','K.Lobo','M.Ibanez','J.Cortez','B.Figueroa','M.Angelina','V.Cappiello','C.Walther'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Dheredero'),
		));
	}

	public function actionCreate() {
		$model = new Dheredero;


		if (isset($_POST['Dheredero'])) {
			$model->setAttributes($_POST['Dheredero']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->IdDHerederos));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Dheredero');


		if (isset($_POST['Dheredero'])) {
			$model->setAttributes($_POST['Dheredero']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->IdDHerederos));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Dheredero')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Dheredero');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Dheredero('search');
		$model->unsetAttributes();

		if (isset($_GET['Dheredero']))
			$model->setAttributes($_GET['Dheredero']);

		$this->render('admin', array(
			'model' => $model,
		));
	}
	
	public function actioncheckDuplicateDHeredero() {
		$q = "SELECT COUNT(*) FROM dheredero WHERE Folio='".$_GET['Folio']."'";
		$cmd = Yii::app()->db->createCommand($q);
		$num = $cmd->queryScalar();		
		
		if( $num != 0 ) {
			echo( 'true' );
		} else {
			echo( 'false' );
		}
		Yii::app()->end();
	}
}