<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('vistasumario/index')),
	//array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	//array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->IdSumario)),
	//array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->IdSumario), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('vistasumario/admin')),
);
?>

<h1><?php /*echo Yii::t('app', 'View') . ' ' . GxHtml::encode($model->label()) . ' ' . GxHtml::encode(GxHtml::valueEx($model));*/ ?></h1>
<h1>
<?php echo GxHtml::encode($model->idSentencia->idTribunal->idInstancia->Descripcion); ?><br>
<?php 
$str = "Sentencia " . GxHtml::encode($model->idSentencia->Tipo) . " N° " . GxHtml::encode($model->idSentencia->NroInterno);
echo GxHtml::link(GxHtml::encode($str), array('sentencia/view', 'id' => GxActiveRecord::extractPkValue($model->idSentencia, true)));
?>
<br>
<?php 
$str = $model->idSentencia->Actora." c/ ".$model->idSentencia->Demandada." s/ ".$model->idSentencia->Sobre;
echo GxHtml::encode($str); 
?>

</h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
		//'IdSumario',
		/*array(
					'name' => 'idSentencia',
					'type' => 'raw',
					'value' => $model->idSentencia !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->idSentencia)), array('sentencia/view', 'id' => GxActiveRecord::extractPkValue($model->idSentencia, true))) : null,
					),*/
		'Tema',
		'Texto',
	),
)); ?>


<h2><?php echo GxHtml::encode($model->getRelationLabel('normativas')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->normativas as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::encode(GxHtml::valueEx($relatedModel));
		/*echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('normativa/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));*/
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>

<h2><?php echo GxHtml::encode($model->getRelationLabel('materias')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->materias as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::encode(GxHtml::valueEx($relatedModel));
		/*echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('materia/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));*/
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>

<h2><?php echo GxHtml::encode($model->getRelationLabel('votos')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->votos as $relatedModel) {
		echo GxHtml::openTag('li');
		echo $relatedModel->FirmanteSent->firmante->Nombre . " voto: ";
		echo GxHtml::encode(GxHtml::valueEx($relatedModel));
		/*echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('voto/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));*/
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>
<!--  AGREGAR LISTADO SUMARIOS  -->
<h2><?php echo GxHtml::encode($model->getRelationLabel('sumarios')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model_sentencia->sumarios as $relatedModel) {
		// Display the remaining sumarios
		if( $model->IdSumario != $relatedModel->IdSumario ) {
			echo GxHtml::openTag('li');
			echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('sumario/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
			echo GxHtml::encode(Yii::app()->format->ShortText($relatedModel->Texto)); 
			echo GxHtml::closeTag('li');
		}
	}
	echo GxHtml::closeTag('ul');
?>

<?php
// Get array of keywords
define('FRASE_EXACTA', 2);
define('IDX_TEMA' , 0);
define('IDX_TEXTO', 1);

$arrFields	 = Yii::app()->session['arrFields'];
$opLogTema	 = Yii::app()->session['opLogTema'];
$opLogTexto	 = Yii::app()->session['opLogTexto'];
$arrKeywords = array();

$arrKeywords = Yii::app()->global->GetKeywords( $arrFields[IDX_TEMA], $opLogTema );
$arrKeywords = array_merge( $arrKeywords, Yii::app()->global->GetKeywords( $arrFields[IDX_TEXTO], $opLogTexto) );

// Highlight keywords
if( is_array( $arrKeywords ) ) {
	$baseUrl = Yii::app()->baseUrl; 
	$cs = Yii::app()->getClientScript();
	$cs->registerCssFile($baseUrl.'/css/aplicacion.css');
	
	$this->widget('ext.jQueryHighlight.DJqueryHighlight', array(
			'selector' => '.span9',
			'words' => array_values( $arrKeywords ), 
	));
}
?>