<div class="wide form">

<?php $form = $this->beginWidget('GxActiveForm', array(
	'action' => Yii::app()->createUrl($this->route),
	'method' => 'get',
)); ?>

	<div class="row">
		<?php //echo $form->label($model, 'IdSumario'); ?>
		<?php //echo $form->textField($model, 'IdSumario', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Tema'); ?>
    <?php echo $form->dropDownList($model, 'opLogTema', array('0'=>'todas las palabras', '1'=>'alguna palabra', '2'=>'frase exacta'), array('options' => array('0'=>array('selected'=>true)))); ?>
		<?php echo $form->textField($model, 'Tema', array('maxlength' => 350)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Texto'); ?>
    <?php echo $form->dropDownList($model, 'opLogTexto', array('0'=>'todas las palabras', '1'=>'alguna palabra', '2'=>'frase exacta'), array('options' => array('0'=>array('selected'=>true)))); ?>
		<?php echo $form->textArea($model, 'Texto', array('maxlength' => 150)); ?>
	</div>

	<div class="row">
		<?php //echo $form->label($model, 'IdTribunal'); ?>
		<?php //echo $form->textField($model, 'IdTribunal', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Tribunal'); ?>
    <?php echo $form->dropDownList($model, 'IdTribunal', GxHtml::listDataEx(Tribunal::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
		<?php //echo $form->textField($model, 'Tribunal', array('maxlength' => 45)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Actora'); ?>
		<?php echo $form->textField($model, 'Actora', array('maxlength' => 150)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Demandada'); ?>
		<?php echo $form->textField($model, 'Demandada', array('maxlength' => 150)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Sobre'); ?>
		<?php echo $form->textField($model, 'Sobre', array('maxlength' => 150)); ?>
	</div>

	<div class="row">
		<?php //echo $form->label($model, 'IdMateria'); ?>
		<?php //echo $form->textField($model, 'IdMateria', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Materia'); ?>
    <?php echo $form->dropDownList($model, 'IdMateria', GxHtml::listDataEx(Materia::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
		<?php //echo $form->textField($model, 'Materia', array('maxlength' => 45)); ?>
	</div>

	<div class="row">
		<?php //echo $form->label($model, 'IdFirmante'); ?>
		<?php //echo $form->textField($model, 'IdFirmante', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Firmante'); ?>
    <?php echo $form->dropDownList($model, 'IdFirmante', GxHtml::listDataEx(Firmante::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
		<?php //echo $form->textField($model, 'Firmante', array('maxlength' => 150)); ?>
	</div>

	<div class="row">
    <?php echo $form->label($model, 'from_date'); ?>
    <?php
    $form->widget('zii.widgets.jui.CJuiDatePicker', array(
				'model' => $model,
				'language' => 'es',
				'attribute' => 'from_date',
				'value' => $model->from_date,
				'name'=>'from_date',  // name of post parameter
        'options'=>array(
            //'showAnim'=>'slideDown',
						'showButtonPanel' => true,
						'changeYear' => true,
						'dateFormat' => 'dd-mm-yy',
        ),
    ));
    ?>
  </div>
  
  <div class="row">
    <?php echo $form->label($model, 'to_date'); ?>
    <?php
    $form->widget('zii.widgets.jui.CJuiDatePicker', array(
				'model' => $model,
				'language' => 'es',
				'attribute' => 'to_date',
				'value' => $model->to_date,
				'name'=>'to_date',
        'options'=>array(
            //'showAnim'=>'slideDown',
						'showButtonPanel' => true,
						'changeYear' => true,
						'dateFormat' => 'dd-mm-yy',
        ),
    ));
    ?> 
	</div>
    
	<div class="row">
		<?php echo $form->label($model, 'NroInterno'); ?>
		<?php echo $form->textField($model, 'NroInterno', array('maxlength' => 10)); ?>
	</div>

	<div class="row">
		<?php //echo $form->label($model, 'IdSentencia'); ?>
		<?php //echo $form->textField($model, 'IdSentencia', array('maxlength' => 10)); ?>
	</div>

	<div class="row buttons">
		<?php echo GxHtml::submitButton(Yii::t('app', 'Search')); ?>
    <?php echo GxHtml::resetButton(Yii::t('app', 'Reset')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->
