<?php

class EstandarsubestandarController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow',
				'actions'=>array('index','view','admin'),
				'users'=>array('*'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'delete'),
				'users'=>array('informatica', 'M.Whitaker', 'N.Rios'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Estandarsubestandar'),
		));
	}

	public function actionCreate() {
		$model = new Estandarsubestandar;


		if (isset($_POST['Estandarsubestandar'])) {
			$model->setAttributes($_POST['Estandarsubestandar']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->IdResolucion));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Estandarsubestandar');


		if (isset($_POST['Estandarsubestandar'])) {
			$model->setAttributes($_POST['Estandarsubestandar']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->IdResolucion));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Estandarsubestandar')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Estandarsubestandar');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Estandarsubestandar('search');
		$model->unsetAttributes();

		if (isset($_GET['Estandarsubestandar']))
			$model->setAttributes($_GET['Estandarsubestandar']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

}