<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	//array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	//array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->IdResolucion)),
	//array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->IdResolucion), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
	//array('label'=>Yii::t('app', 'Ver Mapa')	 . ' ' . $model->label(2), 'url'=>array('ClusterMap', 'id' => $model->IdResolucion)),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' ' . GxHtml::encode($model->label()) . ' ' . GxHtml::encode(GxHtml::valueEx($model)); ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
		//'IdResolucion',
		'Codigo',
		'Titulo',
		array(
			'label'=>'Archivo',
			'type'=>'raw',
			'value'=>$model->Archivo ?
							 CHtml::link($model->Archivo, array('resolucion/download', 'id'=>$model->IdResolucion), array('target'=>'_blank'))
							 :null,
		),
		'Sumario',
		'Sintesis',
		'Texto',
		'Fecha',
		array(
					'name' => 'idCircunscripcion',
					'type' => 'raw',
					'value' => $model->idCircunscripcion !== null ? GxHtml::encode(GxHtml::valueEx($model->idCircunscripcion)) : null,
					),
		array(
					'name' => 'idJuzgado',
					'type' => 'raw',
					'value' => $model->idJuzgado !== null ? GxHtml::encode(GxHtml::valueEx($model->idJuzgado)) : null,
					),
		array(
					'name' => 'idCategoria',
					'type' => 'raw',
					'value' => $model->idCategoria !== null ? GxHtml::encode(GxHtml::valueEx($model->idCategoria)) : null,
					),
		array(
					'name' => 'idTipo',
					'type' => 'raw',
					'value' => $model->idTipo !== null ? GxHtml::encode(GxHtml::valueEx($model->idTipo)) : null,
					),
		array(
					'name' => 'idProvincia',
					'type' => 'raw',
					'value' => $model->idProvincia !== null ? GxHtml::encode(GxHtml::valueEx($model->idProvincia)) : null,
					),
		array(
					'name' => 'idDepartamento',
					'type' => 'raw',
					'value' => $model->idDepartamento !== null ? GxHtml::encode(GxHtml::valueEx($model->idDepartamento)) : null,
					),
		'Localidad',
		//'Domicilio',
		//'Latitud',
		//'Longitud',
		//'Archivo',
			
	),
)); ?>

<h2><?php echo GxHtml::encode('Estandares y Subestandares'); ?></h2>
<?php 
	echo CHtml::openTag( 'ul',array());
	foreach (Estandard::model()->findAllAttributes(null, true) as $Estandard) {
		if ( in_array('E'.$Estandard->IdEstandard, $model->ListaEstandares) ) {
			echo CHtml::openTag( 'li',array());
			echo CHtml::Tag( 'label',array('for'=>'E'.$Estandard->IdEstandard),$Estandard,true);
		}
		
			echo CHtml::openTag( 'ul',array());
			foreach ($Estandard->subestandards as $Subestandar) {
				if (in_array('S'.$Subestandar->IdSubEstandard, $model->ListaEstandares)) {
					echo CHtml::openTag( 'li',array());
					echo CHtml::Tag( 'label',array('for'=>'S'.$Subestandar->IdSubEstandard),$Subestandar,true);
					echo CHtml::closeTag('li');
				}
			}
			echo CHtml::closeTag('ul');
		
		if ( in_array('E'.$Estandard->IdEstandard, $model->ListaEstandares) )
			echo CHtml::closeTag('li');
	}
	echo CHtml::closeTag('ul');
?>

<?php 
	$ajaxURL = Yii::app()->createUrl('resolucion/DeleteFile');
	
	echo CHtml::script("
	function deleteFile()
	{
		if ( confirm('Está seguro de eliminar el archivo?') ) {
			// Delete file!
		$.ajax({ 
			type: 'POST', 
			url: '".$ajaxURL."',
			data: { id:".$model->IdResolucion." },
			success: function(data){ 
							alert('Archivo eliminado con exito.'); 
			},
			error: function(err){   
							alert('Error al eliminar el archivo '+err); 
			} 
		 });		

			$('#delButton').parent().html('');
		}
		
		return false;
	}
 
	"); 
?>
