<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	//array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->IdResolucion)),
	//array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->IdResolucion), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' mapa de agrupamiento'; ?></h1>

<div class="form">
<?php
$type_list = CHtml::listData( Estandard::model()->findAll(), 'IdEstandard', 'Estandar' );
foreach( $type_list as $id => $type ) {
	//'<img width="24" height="24" title="' + CrimeType.description + '" alt="' + CrimeType.description + '" src="iconos/' + CrimeType.icon + '">'
	echo '<label class="checkbox inline" style="margin-left:5px; margin-right:15px;"><input type="checkbox" name="selectedType" checked="checked"  class="chkBoxTipos" value="'. $id .'">'.$type.'</label>';
}
?>

<div>
	<div style="float: left;margin-right: 10px;">
	<?php
    $fecha_hasta = date( "d/m/Y" );
    $fecha_desde = strtotime ( '-7 days' );
    $fecha_desde = date( 'd/m/Y' , $fecha_desde );
  ?>
  <?php echo CHtml::label('Fecha desde:', 'fechaD'); ?>
	<?php 
		$this->widget('zii.widgets.jui.CJuiDatePicker',array(
				'name'=>'fechaD',
				'language' => 'es',
				// additional javascript options for the date picker plugin
				'value' => $fecha_desde,
				'options'=>array(
					'showButtonPanel' => true,
					'changeYear' => true,
					'dateFormat' => 'dd/mm/yy',
				),
				'htmlOptions'=>array(
						'style'=>'height:20px;',
						'z-index'=>'1000;',
				),
		));
  ?>
  </div>
  <div style="float: left;margin-right: 10px;">
	<?php echo CHtml::label('Fecha hasta:', 'fechaH'); ?>
	<?php 
		$this->widget('zii.widgets.jui.CJuiDatePicker',array(
				'name'=>'fechaH',
				'language' => 'es',
				'value' => $fecha_hasta,
				// additional javascript options for the date picker plugin
				'options'=>array(
					'showButtonPanel' => true,
					'changeYear' => true,
					'dateFormat' => 'dd/mm/yy',
				),
				'htmlOptions'=>array(
						'style'=>'height:20px;'
				),
		));
  ?>
	</div>
  
  <div style="float: left;margin-right: 10px;">
	<?php echo CHtml::label('Circunscripción:', 'Circunscripcion'); ?>
	<?php echo CHtml::dropDownList('Circunscripcion', '',GxHtml::listDataEx(Circunscripcion::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
  </div>
  <div style="float: left;margin-right: 10px;">
	<?php echo CHtml::label('Juszgado:', 'Juszgado'); ?>
  <?php echo CHtml::dropDownList('Juzgado', '',GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>
  
  <div style="float:right; margin-right:10px;">
  <?php echo CHtml::submitButton('Buscar', array('onClick'=>'updateMarkers();')); ?>
  </div>
</div>
</div><!-- form -->


<div id="mapid" style="height: 700px; width: 100%; z-index:0;"></div>
<?php 
	$centerLat 	= -28.47;
	$centerLng 	= -65.78;
	$centerZoom = 11;
	if( $modelMarker ) {
		$centerLat 	= $modelMarker->Latitud;
		$centerLng 	= $modelMarker->Longitud;
		$centerZoom = 16;
		$idmarkerpopup = $modelMarker->IdResolucion;
	} else
		$idmarkerpopup = -1;

	//$baseURL = $this->createAbsoluteUrl('resolucion/view', array('id' => 23));
	$baseURL = Yii::app()->request->hostInfo.Yii::app()->request->baseUrl."/";
	$ajaxURL = Yii::app()->createUrl('resolucion/GetMarkers');

	echo CHtml::script("
		var tiles = L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
									maxZoom: 18,
								});
		var latlng 	= L.latLng(".$centerLat.", ".$centerLng.");
		var map		  = L.map('mapid', {
			attributionControl: false,
			fullscreenControl: true,
			center: latlng, 
			zoom: ".$centerZoom.", 
			layers: [tiles]
		});
		var markers = L.markerClusterGroup();
			
		var Bounds = map.getBounds();
		var latlng = Bounds.getSouthWest();
		var lat1	 = latlng.lat;
		var lng1	 = latlng.lng;
		var latlng = Bounds.getNorthEast();
		var lat2	 = latlng.lat;
		var lng2	 = latlng.lng;
		var arrMarkers = new Array();
		
	 function addMarkers( arrMarkers, L, markers )
	 {
			for (var i = 0; i < arrMarkers.length; i++) {
				var reg = arrMarkers[i];
				var id 			 = reg[0];
				var codigo   = reg[1];
				var title 	 = reg[2];
				var latitud  = reg[3];
				var longitud = reg[4];
				//var tipo  	 = reg[5];
				var title	= 'Código: '+ codigo +'<br>'+
										'<a href=\"".$baseURL."index.php?r=resolucion/view&id='+ id +'\" target=\"_blank\">'+ title +'</a> ';
				var marker = L.marker(new L.LatLng(latitud, longitud), { title: title });
				marker.bindPopup(title);
				markers.addLayer(marker);
				if(id == ".$idmarkerpopup.")
					markerPopup = marker;
			}
	 }
 
	function updateMarkers()
	{
		var Bounds = map.getBounds();
		var latlng = Bounds.getSouthWest();
		var lat1 = latlng.lat;
		var lng1 = latlng.lng;
		var latlng = Bounds.getNorthEast();
		var lat2 = latlng.lat;
		var lng2 = latlng.lng;
		var fechaD = $('#fechaD').val();
		var fechaH = $('#fechaH').val();
		var Circuns = $('#Circunscripcion').val();
		var Juzgado = $('#Juzgado').val();
    var arrTipos = [];
		$(\".chkBoxTipos:checkbox:checked\").each( function(){ arrTipos.push( $(this).val() ); } );
		
		$.ajax({ 
			type: 'POST', 
			url: '".$ajaxURL."',
			data: { lat1:lat1, lng1:lng1, lat2:lat2, lng2:lng2, fechaD:fechaD, fechaH:fechaH, Circuns:Circuns, Juzgado:Juzgado, Tipos:arrTipos.join( ',' ) },
			success: function(data){ 
							arrMarkers = JSON.parse(data);
							markers.clearLayers();
							addMarkers( arrMarkers, L, markers );
			},
			error: function(err){   
							alert('failure '+err); 
			} 
		 });				

		 return false;
	}
 
	//------------- Init map --------------
		var Bounds = map.getBounds();
		var latlng = Bounds.getSouthWest();
		var lat1 = latlng.lat;
		var lng1 = latlng.lng;
		var latlng = Bounds.getNorthEast();
		var lat2 = latlng.lat;
		var lng2 = latlng.lng;
		var fechaD = $('#fechaD').val();
		var fechaH = $('#fechaH').val();
		var Circuns = $('#Circunscripcion').val();
		var Juzgado = $('#Juzgado').val();
    var arrTipos = [];
		$(\".chkBoxTipos:checkbox:checked\").each( function(){ arrTipos.push( $(this).val() ); } );
		
	$.ajax({ 
		async: false,
		type: 'POST', 
		url: '".$ajaxURL."',
		data: { lat1:lat1, lng1:lng1, lat2:lat2, lng2:lng2, fechaD:'01/01/1800', fechaH:fechaH, Circuns:Circuns, Juzgado:Juzgado, Tipos:arrTipos.join( ',' ) },
		success: function(data){
						arrMarkers = JSON.parse(data); 
		},
		error: function(err){   
						alert('failure '+err); 
		} 
	});				
	
	addMarkers( arrMarkers, L, markers );
	map.addLayer(markers);

	map.on('moveend', function(e) {
			updateMarkers();
	});

	$( document ).ready(function() {

			//var marker = markerPopup;
			if (typeof markerPopup !== 'object') { return; }
			var marker = markerPopup;
			
			// What cluster is this marker in?
			var cluster = markers.getVisibleParent(marker);
		
			// Is the marker really in a cluster, or visible standalone?
			if (!marker._icon) {
				// It's in a cluster.
				cluster.spiderfy();
				marker.openPopup();
			} else {
				// It's not in a cluster but directly in the map.
				marker.openPopup();
			}
	});

	"); 
?>

<?php 
	Yii::app()->clientScript->registerCssFile( 'https://unpkg.com/leaflet@1.3.1/dist/leaflet.css' );
	Yii::app()->clientScript->registerScriptFile( 'https://unpkg.com/leaflet@1.3.1/dist/leaflet.js' );
	
	// Plugin - FullScreen
	$assetUrl = Yii::app()->getAssetManager()->publish(Yii::getPathOfAlias('ext.leafletfullscreenmaster'));
	Yii::app()->clientScript->registerCssFile($assetUrl.'/Control.FullScreen.css'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/Control.FullScreen.js'); 
	
	// Plugin - MarkerCluster
	$assetUrl = Yii::app()->getAssetManager()->publish(Yii::getPathOfAlias('ext.leafletmarkercluster'));
	Yii::app()->clientScript->registerCssFile($assetUrl.'/MarkerCluster.css'); 
	Yii::app()->clientScript->registerCssFile($assetUrl.'/MarkerCluster.Default.css'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/leaflet.markercluster.js'); 

?>

