<div class="wide form">

<?php $form = $this->beginWidget('GxActiveForm', array(
	'action' => Yii::app()->createUrl($this->route),
	'method' => 'get',
)); ?>

	<div class="row">
		<?php //echo $form->label($model, 'IdResolucion'); ?>
		<?php //echo $form->textField($model, 'IdResolucion', array('maxlength' => 11)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Codigo'); ?>
		<?php echo $form->textField($model, 'Codigo', array('maxlength' => 30)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Titulo'); ?>
		<?php echo $form->textField($model, 'Titulo', array('maxlength' => 300)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Sumario'); ?>
		<?php echo $form->textArea($model, 'Sumario'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Sintesis'); ?>
		<?php echo $form->textArea($model, 'Sintesis'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Texto'); ?>
		<?php echo $form->textArea($model, 'Texto'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Fecha'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'Fecha',
			'value' => $model->Fecha,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'IdCircunscripcion'); ?>
		<?php echo $form->dropDownList($model, 'IdCircunscripcion', GxHtml::listDataEx(Circunscripcion::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'IdJuzgado'); ?>
		<?php echo $form->dropDownList($model, 'IdJuzgado', GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'IdCategoria'); ?>
		<?php echo $form->dropDownList($model, 'IdCategoria', GxHtml::listDataEx(Categoria::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'IdTipo'); ?>
		<?php echo $form->dropDownList($model, 'IdTipo', GxHtml::listDataEx(Tipo::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'IdProvincia'); ?>
		<?php echo $form->dropDownList($model, 'IdProvincia', GxHtml::listDataEx(Provincia::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'IdDepartamento'); ?>
		<?php echo $form->dropDownList($model, 'IdDepartamento', GxHtml::listDataEx(Departamento::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Localidad'); ?>
		<?php echo $form->textField($model, 'Localidad', array('maxlength' => 300)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Domicilio'); ?>
		<?php echo $form->textField($model, 'Domicilio', array('maxlength' => 300)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Latitud'); ?>
		<?php echo $form->textField($model, 'Latitud', array('maxlength' => 8)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Longitud'); ?>
		<?php echo $form->textField($model, 'Longitud', array('maxlength' => 9)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'Archivo'); ?>
		<?php echo $form->textField($model, 'Archivo', array('maxlength' => 200)); ?>
	</div>

	<div class="row buttons">
		<?php echo GxHtml::submitButton(Yii::t('app', 'Search')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->
