<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	//array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->IdResolucion)),
	//array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->IdResolucion), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' estadísticas'; ?></h1>

<figure class="highcharts-figure" style="margin-bottom: 100px">
    <div id="container1"></div>
    <p class="highcharts-description">

    </p>
    <br><br>
</figure>

<figure class="highcharts-figure" style="margin-bottom: 100px">
    <div id="container2"></div>
    <p class="highcharts-description">

    </p>
    <br><br>
</figure>

<figure class="highcharts-figure" style="margin-bottom: 100px">
    <div id="container3"></div>
    <p class="highcharts-description">

    </p>
    <br><br>
</figure>

<figure class="highcharts-figure" style="margin-bottom: 100px">
    <div id="container4"></div>
    <p class="highcharts-description">

    </p>
    <br><br>
</figure>

<figure class="highcharts-figure" style="margin-bottom: 100px">
    <div id="container5"></div>
    <p class="highcharts-description">

    </p>
    <br><br>
</figure>


<?php 
	/*Yii::app()->clientScript->registerScriptFile( 'https://code.highcharts.com/highcharts.js' );
	Yii::app()->clientScript->registerScriptFile( 'https://code.highcharts.com/highcharts-3d.js' );
	Yii::app()->clientScript->registerScriptFile( 'https://code.highcharts.com/modules/exporting.js' );
	Yii::app()->clientScript->registerScriptFile( 'https://code.highcharts.com/modules/export-data.js' );
	Yii::app()->clientScript->registerScriptFile( 'https://code.highcharts.com/modules/accessibility.js' );*/

	// Highcharts
	$assetUrl = Yii::app()->getAssetManager()->publish(Yii::getPathOfAlias('ext.highcharts'));
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/highcharts.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/highcharts-3d.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/modules/exporting.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/modules/export-data.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/modules/accessibility.js'); 
	

//------------------------------------------------------------------------------
// Funcion    : GetStatisticsColumnChart1
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetStatisticsColumnChart1(){

	$q = '
		SELECT 
				-- resolucion.Codigo,
				-- circunscripcion.Nombre as Circunscripcion,
				-- Categoria,
				Estandar,    
				juzgado.Nombre as Juzgado,
				count(*) AS Cantidad
		FROM
				resolucion
			INNER JOIN
				estandardresol ON estandardresol.IdResolucion = resolucion.IdResolucion
			LEFT JOIN
				estandard ON estandardresol.IdEstandard = estandard.IdEstandard
			-- INNER JOIN
				-- categoria ON resolucion.IdCategoria = categoria.IdCategoria
			-- INNER JOIN
				-- circunscripcion ON resolucion.IdCircunscripcion = circunscripcion.IdCircunscripcion
			INNER JOIN
				juzgado ON resolucion.IdJuzgado = juzgado.IdJuzgado
		GROUP BY Estandar, Juzgado
		ORDER BY Estandar, Juzgado
	';
	
	$TotalCrime = 0;
	$data = '';
	$cmd = Yii::app()->db->createCommand($q);
	
		foreach (Estandard::model()->findAllAttributes(null, true) as $Estandar) {
			$data = $data . "{ name: '". $Estandar ."', data: [ ";
			foreach (Juzgado::model()->findAllAttributes(null, true) as $Juzgado) {
				
					$result = $cmd->query();
					$value = "0";
					for($i = 1; $i <= count($result); $i++) {
						$row = $result->read();
						
						if ($Estandar == $row['Estandar'] && $Juzgado == $row['Juzgado']) {
									$value = $row[ 'Cantidad' ];
						}
					}
					$data = $data . $value . ", ";
			}
			$data = rtrim($data,", ");
			$data = $data . " ], stack: 'a' }, ";
	}
	$data = rtrim($data,", ");

	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetStatisticsColumnChart2
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetStatisticsColumnChart2(){

	$q = '
		SELECT 
				-- resolucion.Codigo,
				circunscripcion.Nombre as Circunscripcion,
				Estandar,
				count(*) AS Cantidad
				-- juzgado.Nombre as Juzgado,
				-- Categoria,
		
		FROM
				resolucion
		INNER JOIN
				estandardresol ON estandardresol.IdResolucion = resolucion.IdResolucion
		LEFT JOIN
				estandard ON estandardresol.IdEstandard = estandard.IdEstandard
		-- INNER JOIN
			-- categoria ON resolucion.IdCategoria = categoria.IdCategoria
		INNER JOIN
			circunscripcion ON resolucion.IdCircunscripcion = circunscripcion.IdCircunscripcion
		-- INNER JOIN
			-- juzgado ON resolucion.IdJuzgado = juzgado.IdJuzgado
		GROUP BY Estandar, Circunscripcion
		ORDER BY Estandar, Circunscripcion
	';
	
	$TotalCrime = 0;
	$data = '';
	$cmd = Yii::app()->db->createCommand($q);
	
		foreach (Estandard::model()->findAllAttributes(null, true) as $Estandar) {
			$data = $data . "{ name: '". $Estandar ."', data: [ ";
			foreach (Circunscripcion::model()->findAllAttributes(null, true) as $Circunscripcion) {
				
					$result = $cmd->query();
					$value = "0";
					for($i = 1; $i <= count($result); $i++) {
						$row = $result->read();
						
						if ($Estandar == $row['Estandar'] && $Circunscripcion == $row['Circunscripcion']) {
									$value = $row[ 'Cantidad' ];
						}
					}
					$data = $data . $value . ", ";
			}
			$data = rtrim($data,", ");
			$data = $data . " ], stack: 'a' }, ";
	}
	$data = rtrim($data,", ");

	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetStatisticsColumnChart3
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetStatisticsColumnChart3(){

	$q = '
		SELECT 
				-- resolucion.Codigo,
				Categoria, 
				Estandar,
				count(*) AS Cantidad
				-- juzgado.Nombre as Juzgado,
				-- circunscripcion.Nombre as Circunscripcion,
		
		FROM
				resolucion
		INNER JOIN
				estandardresol ON estandardresol.IdResolucion = resolucion.IdResolucion
		LEFT JOIN
				estandard ON estandardresol.IdEstandard = estandard.IdEstandard
		INNER JOIN
			categoria ON resolucion.IdCategoria = categoria.IdCategoria
		-- INNER JOIN
			-- circunscripcion ON resolucion.IdCircunscripcion = circunscripcion.IdCircunscripcion
		-- INNER JOIN
			-- juzgado ON resolucion.IdJuzgado = juzgado.IdJuzgado
		GROUP BY Estandar, Categoria
		ORDER BY Estandar, Categoria
	';
	
	$TotalCrime = 0;
	$data = '';
	$cmd = Yii::app()->db->createCommand($q);
	
		foreach (Estandard::model()->findAllAttributes(null, true) as $Estandar) {
			$data = $data . "{ name: '". $Estandar ."', data: [ ";
			foreach (Categoria::model()->findAllAttributes(null, true) as $Categoria) {
				
					$result = $cmd->query();
					$value = "0";
					for($i = 1; $i <= count($result); $i++) {
						$row = $result->read();
						
						if ($Estandar == $row['Estandar'] && $Categoria == $row['Categoria']) {
									$value = $row[ 'Cantidad' ];
						}
					}
					$data = $data . $value . ", ";
			}
			$data = rtrim($data,", ");
			$data = $data . " ], stack: 'a' }, ";
	}
	$data = rtrim($data,", ");

	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetStatisticsPieChart
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetStatisticsPieChart(){

	$q = '
		SELECT 
		--    resolucion.Codigo,
			Estandar,
				count(*) as Cantidad
		--    juzgado.Nombre as Juzgado,
		--    circunscripcion.Nombre as Circunscripcion,
		--    Categoria,
				
		FROM
				resolucion
			INNER JOIN
				estandardresol ON estandardresol.IdResolucion = resolucion.IdResolucion
			LEFT JOIN
				estandard ON estandardresol.IdEstandard = estandard.IdEstandard
			-- INNER JOIN
				-- categoria ON resolucion.IdCategoria = categoria.IdCategoria
			-- INNER JOIN
				-- circunscripcion ON resolucion.IdCircunscripcion = circunscripcion.IdCircunscripcion
			-- INNER JOIN
				-- juzgado ON resolucion.IdJuzgado = juzgado.IdJuzgado
		GROUP BY Estandar
	';
	
	$TotalCrime = 0;
	$data = '';
	$cmd = Yii::app()->db->createCommand($q);
	$result = $cmd->query();
	$last_item = count($result);
	
	for($i = 1; $i <= count($result); $i++) {
		//$TotalCrime = $TotalCrime + $row[ 'Cantidad' ];
		$row = $result->read();
		if ($i != $last_item) 
			$data = $data . "{ name: '". $row['Estandar']."', y: ". $row[ 'Cantidad' ]."},";
		else
			$data = $data . "{ name: '". $row['Estandar']."', y: ". $row[ 'Cantidad' ]."}";
	}
	
	$data = "[". $data ."]";
	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetStatisticsColumnChart5
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetStatisticsColumnChart5(){

	$q = '
		SELECT 
						-- Fecha,
						MONTH(Fecha) AS Mes,
						YEAR(Fecha) AS Anio,
						COUNT(0) AS Cantidad
		FROM
				resolucion
		GROUP BY YEAR(Fecha) , MONTH(Fecha)
		ORDER BY Anio DESC , Mes DESC
		LIMIT 12
	';
	
	$data = '';
	$cmd = Yii::app()->db->createCommand($q);
	$result = $cmd->query();

	for($i = 1; $i <= count($result); $i++) {
		$row = $result->read();
		//$data = $data . $row[ 'Cantidad' ] . ", ";
		$data = $row[ 'Cantidad' ] . ", " . $data;
	}
	$data = rtrim( $data,", " );
	$data = "{ name: 'Resoluciones', data: [ " . $data . " ] } ";

	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetListJuzgados
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetListJuzgados(){
	$data = '';
	
	foreach (Juzgado::model()->findAllAttributes(null, true) as $Juzgado) {
			$data = $data . "'". $Juzgado ."', ";
	}
	$data = rtrim($data,", ");
	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetListCircunscripciones
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetListCircunscripciones(){
	$data = '';
	
	foreach (Circunscripcion::model()->findAllAttributes(null, true) as $Circunscripcion) {
			$data = $data . "'". $Circunscripcion ."', ";
	}
	$data = rtrim($data,", ");
	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetListCategoria
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetListCategoria(){
	$data = '';
	
	foreach (Categoria::model()->findAllAttributes(null, true) as $Categoria) {
			$data = $data . "'". $Categoria ."', ";
	}
	$data = rtrim($data,", ");
	return( $data );
}

//------------------------------------------------------------------------------
// Funcion    : GetListMeses
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetListMeses(){

	$q = '
		SELECT 
						-- Fecha,
						MONTH(Fecha) AS Mes,
						YEAR(Fecha) AS Anio,
						COUNT(0) AS Cantidad
		FROM
				resolucion
		GROUP BY YEAR(Fecha) , MONTH(Fecha)
		ORDER BY Anio DESC , Mes DESC
		LIMIT 12
	';
	
	$data = '';
	$cmd = Yii::app()->db->createCommand($q);
	$result = $cmd->query();

	for($i = 1; $i <= count($result); $i++) {
		$row = $result->read();
		$data = "'" . $row[ 'Mes' ] . "-" . $row[ 'Anio' ] . "', " . $data;
	}
	$data = rtrim( $data,", " );

	return( $data );
}



	
	Yii::app()->clientScript->registerScript('Chart', "
// ----------------------------------------------------------------------------------------------------
Highcharts.setOptions({
    lang: {
				contextButtonTitle: 'Menú de contexto',
				downloadCSV: 'Descargar CSV',
				downloadJPEG: 'Descargar JPEG',
				downloadPDF: 'Descargar documento PDF',
				downloadPNG: 'Descargar imagen PNG',
				downloadSVG: 'Descargar imagen SVG',
				downloadXLS: 'Descargar XLS',
				exitFullscreen: 'Salir de pantalla completa',
				hideData: 'Ocultar tabla de datos',
				printChart: 'Imprimir Gráfico',
				viewData: 'Ver tabla de datos',
				viewFullscreen: 'Ver en pantalla completa',
        months: [
            'Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'
        ],
        weekdays: [
            'Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sábado'
        ]
    }
});


		// ----------------------------------------------------------------------------------------------------
		Highcharts.chart('container1', {
				chart: {
						type: 'column',
						options3d: {
								enabled: true,
								alpha: 15,
								beta: 15,
								viewDistance: 25,
								depth: 40
						}
				},
		
				title: {
						text: 'Estandares por Informante'
				},
				credits: {
						enabled: false
				},

				xAxis: {
						categories: [". GetListJuzgados() ."],
						labels: {
								skew3d: true,
								style: {
										fontSize: '16px'
								}
						}
				},
		
				yAxis: {
						allowDecimals: false,
						min: 0,
						title: {
								text: 'Valores',
								skew3d: true
						}
				},
		
				tooltip: {
						headerFormat: '<b>{point.key}</b><br>',
						pointFormat: '<span style=\"color:{series.color}\">\u25CF</span> {series.name}: {point.y} / {point.stackTotal}'
				},
		
				plotOptions: {
						column: {
								stacking: 'normal',
								depth: 40
						}
				},
		
				series: [".GetStatisticsColumnChart1()."]
		});
		
		// ----------------------------------------------------------------------------------------------------
		Highcharts.chart('container2', {
				chart: {
						type: 'column',
						options3d: {
								enabled: true,
								alpha: 15,
								beta: 15,
								viewDistance: 25,
								depth: 40
						}
				},
		
				title: {
						text: 'Estandares por Circunscripción'
				},
				credits: {
						enabled: false
				},

				xAxis: {
						categories: [". GetListCircunscripciones() ."],
						labels: {
								skew3d: true,
								style: {
										fontSize: '16px'
								}
						}
				},
		
				yAxis: {
						allowDecimals: false,
						min: 0,
						title: {
								text: 'Valores',
								skew3d: true
						}
				},
		
				tooltip: {
						headerFormat: '<b>{point.key}</b><br>',
						pointFormat: '<span style=\"color:{series.color}\">\u25CF</span> {series.name}: {point.y} / {point.stackTotal}'
				},
		
				plotOptions: {
						column: {
								stacking: 'normal',
								depth: 40
						}
				},
		
				series: [".GetStatisticsColumnChart2()."]
		});
		
		// ----------------------------------------------------------------------------------------------------
		Highcharts.chart('container3', {
				chart: {
						type: 'column',
						options3d: {
								enabled: true,
								alpha: 15,
								beta: 15,
								viewDistance: 25,
								depth: 40
						}
				},
		
				title: {
						text: 'Estandares por Categoría'
				},
				credits: {
						enabled: false
				},

				xAxis: {
						categories: [". GetListCategoria() ."],
						labels: {
								skew3d: true,
								style: {
										fontSize: '16px'
								}
						}
				},
		
				yAxis: {
						allowDecimals: false,
						min: 0,
						title: {
								text: 'Valores',
								skew3d: true
						}
				},
		
				tooltip: {
						headerFormat: '<b>{point.key}</b><br>',
						pointFormat: '<span style=\"color:{series.color}\">\u25CF</span> {series.name}: {point.y} / {point.stackTotal}'
				},
		
				plotOptions: {
						column: {
								stacking: 'normal',
								depth: 40
						}
				},
		
				series: [".GetStatisticsColumnChart3()."]
		});
		
		// ----------------------------------------------------------------------------------------------------
		Highcharts.chart('container4', {
				chart: {
						type: 'pie',
						options3d: {
								enabled: true,
								alpha: 45,
								beta: 0
						}
				},
				title: {
						text: 'Porcentaje de Estandares'
				},
				credits: {
						enabled: false
				},
				accessibility: {
						point: {
								valueSuffix: '%'
						}
				},
				tooltip: {
						pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
				},
				plotOptions: {
						pie: {
								allowPointSelect: true,
								cursor: 'pointer',
								depth: 35,
								dataLabels: {
										enabled: true,
										format: '{point.name}'
								},
								showInLegend: true
						}
				},
				series: [{
						type: 'pie',
						name: 'Estandares',
						data:".GetStatisticsPieChart()."
				}]
		});

		// ----------------------------------------------------------------------------------------------------
		Highcharts.chart('container5', {
				chart: {
						type: 'column',
						options3d: {
								enabled: true,
								alpha: 10,
								beta: 25,
								depth: 70
						}
				},
				title: {
						text: 'Resoluciones por mes'
				},
				credits: {
						enabled: false
				},
				/*subtitle: {
						text: 'Notice the difference between a 0 value and a null point'
				},*/
				plotOptions: {
						column: {
								depth: 25
						}
				},
				xAxis: {
						categories: Highcharts.getOptions().lang.shortMonths,
						labels: {
								skew3d: true,
								style: {
										fontSize: '16px'
								}
						}
				},
				xAxis: {
						categories: [". GetListMeses() ."],
						crosshair: true
				},
				yAxis: {
						allowDecimals: false,
						min: 0,
						title: {
								text: 'Valores',
								/*skew3d: true*/
						}
				},
				series: [". GetStatisticsColumnChart5() ."]
		});
						
	");
?>

