<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	//array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->IdResolucion)),
	//array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->IdResolucion), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' estadísticas'; ?></h1>

<figure class="highcharts-figure" style="margin-bottom: 100px">
    <div id="container4"></div>
    <p class="highcharts-description">

    </p>
    <br><br>
</figure>



<?php 

	// Highcharts
	$assetUrl = Yii::app()->getAssetManager()->publish(Yii::getPathOfAlias('ext.highcharts'));
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/highcharts.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/highcharts-3d.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/modules/exporting.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/modules/export-data.js'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/modules/accessibility.js'); 
	

//------------------------------------------------------------------------------
// Funcion    : GetStatisticsPieChart
// Descripcion: 
// Entradas   : 
// Salidas    : 
// Comentarios: 
//------------------------------------------------------------------------------
function GetStatisticsPieChart(){

	$q = '
		SELECT 
			Subestandard,
			count(*) as Cantidad
		FROM
				resolucion
			INNER JOIN
				estandardresol ON estandardresol.IdResolucion = resolucion.IdResolucion
			LEFT JOIN
				subestandardresol ON estandardresol.IdEstandardResol = subestandardresol.IdEstandardResol
			INNER JOIN
				subestandard ON subestandardresol.IdSubEstandard = subestandard.IdSubEstandard
		GROUP BY Subestandard
	';
	
	$TotalCrime = 0;
	$data = '';
	$cmd = Yii::app()->db->createCommand($q);
	$result = $cmd->query();
	$last_item = count($result);
	
	for($i = 1; $i <= count($result); $i++) {
		//$TotalCrime = $TotalCrime + $row[ 'Cantidad' ];
		$row = $result->read();
		if ($i != $last_item) 
			$data = $data . "{ name: '". $row['Subestandard']."', y: ". $row[ 'Cantidad' ]."},";
		else
			$data = $data . "{ name: '". $row['Subestandard']."', y: ". $row[ 'Cantidad' ]."}";
	}
	
	$data = "[". $data ."]";
	return( $data );
}



	
	Yii::app()->clientScript->registerScript('Chart', "
// ----------------------------------------------------------------------------------------------------
Highcharts.setOptions({
    lang: {
				contextButtonTitle: 'Menú de contexto',
				downloadCSV: 'Descargar CSV',
				downloadJPEG: 'Descargar JPEG',
				downloadPDF: 'Descargar documento PDF',
				downloadPNG: 'Descargar imagen PNG',
				downloadSVG: 'Descargar imagen SVG',
				downloadXLS: 'Descargar XLS',
				exitFullscreen: 'Salir de pantalla completa',
				hideData: 'Ocultar tabla de datos',
				printChart: 'Imprimir Gráfico',
				viewData: 'Ver tabla de datos',
				viewFullscreen: 'Ver en pantalla completa',
        months: [
            'Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'
        ],
        weekdays: [
            'Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sábado'
        ]
    }
});


		// ----------------------------------------------------------------------------------------------------
		Highcharts.chart('container4', {
				chart: {
						type: 'pie',
						options3d: {
								enabled: true,
								alpha: 45,
								beta: 0
						}
				},
				title: {
						text: 'Porcentaje de Subestandares'
				},
				credits: {
						enabled: false
				},
				accessibility: {
						point: {
								valueSuffix: '%'
						}
				},
				tooltip: {
						pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
				},
				plotOptions: {
						pie: {
								allowPointSelect: true,
								cursor: 'pointer',
								depth: 35,
								dataLabels: {
										enabled: true,
										format: '{point.name}'
								},
								showInLegend: true
						}
				},
				series: [{
						type: 'pie',
						name: 'Subestandares',
						data:".GetStatisticsPieChart()."
				}]
		});

	");
?>

