<?php

Yii::import('application.models._base.BaseRecibo');

class Recibo extends BaseRecibo
{
	
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}
	
	public function defaultScope() {
		return array (
			'condition' => 'iduser='.Yii::app()->user->getId(),
			'order' => 'anio DESC,mes DESC'
		);
	}
	
	public function behaviors()
	{
			return array(
					// Classname => path to Class
					'ReciboBehavior'=>
							'application.behaviors.AuditoriaBehavior',
			);
	}	
	
}