<?php

class ResolucionesController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow',
				'actions'=>array('index','view','admin'),
				'users'=>array('*'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create','update'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('delete'),
				'users'=>array('informatica'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Resoluciones'),
		));
	}
/*
	public function actionCreate() {
		$model = new Resoluciones;


		if (isset($_POST['Resoluciones'])) {
			$model->setAttributes($_POST['Resoluciones']);

			try
			{
				// Try to create
				if ($model->save()) {
					if (Yii::app()->getRequest()->getIsAjaxRequest())
						Yii::app()->end();
					else
						$this->redirect(array('view', 'id' => $model->numerores));
				}
			}
			catch (CDbException $e)
			{
				if($e->getCode()==23000) {
					throw new CHttpException('Número de resolución duplicado. ('.
																		$model->numerores.') <BR>'.
																		'<a href="'.Yii::app()->request->urlReferrer.'">Retornar a la página anterior.</a>'
																	);
				} else {
					throw new CHttpException('Código error: '.$e->getCode().'<BR>Mensaje de error: '.$e->getMessage() );
				}
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Resoluciones');


		if (isset($_POST['Resoluciones'])) {
			$model->setAttributes($_POST['Resoluciones']);

			try
			{
				if ($model->save()) {
					$this->redirect(array('view', 'id' => $model->numerores));
				}
			}
			catch (CDbException $e)
			{
				if($e->getCode()==23000) {
					throw new CHttpException('Número de resolución duplicado. ('.
																		$model->numerores.') <BR>'.
																		'<a href="'.Yii::app()->request->urlReferrer.'">Retornar a la página anterior.</a>'
																	);
				} else {
					throw new CHttpException('Código error: '.$e->getCode().'<BR>Mensaje de error: '.$e->getMessage() );
				}
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Resoluciones')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}
*/
	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Resoluciones');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Resoluciones('search');
		$model->unsetAttributes();

		if (isset($_GET['Resoluciones']))
			$model->setAttributes($_GET['Resoluciones']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

}