<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'dheredero-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'IdJuzgado'); ?>
		<?php echo $form->dropDownList($model, 'IdJuzgado', GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdJuzgado'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'NroExpediente'); ?>
		<?php echo $form->textField($model, 'NroExpediente', array('maxlength' => 15)); ?>
		<?php echo $form->error($model,'NroExpediente'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Caratula'); ?>
		<?php echo $form->textField($model, 'Caratula', array('maxlength' => 200)); ?>
		<?php echo $form->error($model,'Caratula'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'NroSentencia'); ?>
		<?php echo $form->textField($model, 'NroSentencia', array('maxlength' => 15)); ?>
		<?php echo $form->error($model,'NroSentencia'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Folio'); ?>
		<?php echo $form->textField($model, 'Folio', array('maxlength' => 15)); ?>
		<?php echo $form->error($model,'Folio'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'FechaSentencia'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'FechaSentencia',
			'value' => $model->FechaSentencia,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'FechaSentencia'); ?>
		</div><!-- row -->


<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->