<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'quiebra-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'NroQuiebra'); ?>
		<?php echo $form->textField($model, 'NroQuiebra', array(
					'maxlength' => 10,
					'ajax' => array(
						'dataType' => 'text',
						'data'=> array('NroQuiebra'=>'js:$(this).val()',
													 'AnioQuiebra'=>'js:$("#Quiebra_AnioQuiebra").val()',),
						'url' => Yii::app()->createUrl('quiebra/checkDuplicateQuiebra'),
						'type' => 'get',
						'success' => 'function(result) {
							if (result === "true") {
								alert("La Quiebra ya existe.");
							}
						}'
					),
		)); ?>
		<?php echo $form->error($model,'NroQuiebra'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'AnioQuiebra'); ?>
		<?php echo $form->textField($model, 'AnioQuiebra', array(
					'maxlength' => 10,
					'ajax' => array(
						'dataType' => 'text',
						'data'=> array('NroQuiebra'=>'js:$("#Quiebra_NroQuiebra").val()', 
													 'AnioQuiebra'=>'js:$(this).val()'),
						'url' => Yii::app()->createUrl('quiebra/checkDuplicateQuiebra'),
						'type' => 'get',
						'success' => 'function(result) {
							if (result === "true") {
								alert("La Quiebra ya existe.");
							}
						}'
					),
		)); ?>
		<?php echo $form->error($model,'AnioQuiebra'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'FechaInicio'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'FechaInicio',
			'value' => $model->FechaInicio,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'FechaInicio'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'FechaRegistro'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'FechaRegistro',
			'value' => $model->FechaRegistro,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'FechaRegistro'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'NroExpediente'); ?>
		<?php echo $form->textField($model, 'NroExpediente', array('maxlength' => 15)); ?>
		<?php echo $form->error($model,'NroExpediente'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Caratula'); ?>
		<?php echo $form->textField($model, 'Caratula', array('maxlength' => 500)); ?>
		<?php echo $form->error($model,'Caratula'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Profesional'); ?>
		<?php echo $form->textField($model, 'Profesional', array('maxlength' => 45)); ?>
		<?php echo $form->error($model,'Profesional'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdJuzgado'); ?>
		<?php echo $form->dropDownList($model, 'IdJuzgado', GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdJuzgado'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdEstado'); ?>
		<?php echo $form->dropDownList($model, 'IdEstado', GxHtml::listDataEx(EstadoQuiebra::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdEstado'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Nota'); ?>
		<?php echo $form->textField($model, 'Nota', array('maxlength' => 800)); ?>
		<?php echo $form->error($model,'Nota'); ?>
		</div><!-- row -->


<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->