<?php
/* @var $this SiteController */
/* @var $model LoginForm */
/* @var $form CActiveForm  */

$this->pageTitle=Yii::app()->name . ' - Login';
$this->breadcrumbs=array(
	'Login',
);
?>
<div class="page-header">
	<h1><?php echo Yii::t('app', 'Login') ?> <small><?php echo Yii::t('app', 'to your account') ?></small></h1>
</div>
<div class="row-fluid">
	
    <div class="span6 offset3">
<?php
	$this->beginWidget('zii.widgets.CPortlet', array(
		'title'=>Yii::t('app', 'Private access'),
	));
	
?>



    <p><?php echo Yii::t('app', 'Please fill out the following form with your login credentials:') ?></p>
    
    <div class="form">
    <?php $form=$this->beginWidget('CActiveForm', array(
        'id'=>'login-form',
        'enableClientValidation'=>true,
        'clientOptions'=>array(
            'validateOnSubmit'=>true,
        ),
    )); ?>
    
        <p class="note"><?php echo Yii::t('app', 'Fields with') ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required.') ?></p>
    
        <div class="row">
            <?php echo $form->labelEx($model,'username'); ?>
            <?php echo $form->textField($model,'username'); ?>
            <?php echo $form->error($model,'username'); ?>
        </div>
    
        <div class="row">
            <?php echo $form->labelEx($model,'password'); ?>
            <?php echo $form->passwordField($model,'password'); ?>
            <?php echo $form->error($model,'password'); ?>
        </div>
    
        <div class="row PasswordWarning">
        		<p id="warningtext" 
            	 Style="display:none;background-color:yellow;padding:10px;font-weight:bold;}">
							 ADVERTENCIA! La tecla "Bloq Mayús" (bloqueo de mayúsculas) está activada.
            </p>
        </div>
    
        <div class="row rememberMe">
            <?php //echo $form->checkBox($model,'rememberMe'); ?>
            <?php //echo $form->label($model,'rememberMe'); ?>
            <?php //echo $form->error($model,'rememberMe'); ?>
        </div>
    
        <div class="row buttons">
            <?php echo CHtml::submitButton(Yii::t('app', 'Login'),array('class'=>'btn btn btn-primary')); ?>
        </div>
    
    <?php $this->endWidget(); ?>
    </div><!-- form -->

<?php $this->endWidget();?>

    </div>

</div>

<?php
Yii::app()->clientScript->registerScript('PasswordWarning', "
	var input = document.getElementById('LoginForm_password');
	var text = document.getElementById('warningtext');
	input.addEventListener('keyup', function(event) {
	
	if (event.getModifierState('CapsLock')) {
			text.style.display = 'block';
		} else {
			text.style.display = 'none';
		}
	});
");
?>  
