<?php

class SumarioController extends GxController {


	public function actionView($id) {
		$model_sumario = $this->loadModel($id, 'Sumario');
		$this->render('view', array(
			//'model' => $this->loadModel($id, 'Sumario'),
			'model' => $model_sumario,
			'model_sentencia' => $model_sumario->idSentencia,
		));
	}

	public function actionCreate() {
		$model = new Sumario;


		if (isset($_POST['Sumario'])) {
			$model->setAttributes($_POST['Sumario']);
			$relatedData = array(
				'materias' => $_POST['Sumario']['materias'] === '' ? null : $_POST['Sumario']['materias'],
				);

			if ($model->saveWithRelated($relatedData)) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->IdSumario));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Sumario');


		if (isset($_POST['Sumario'])) {
			$model->setAttributes($_POST['Sumario']);
			$relatedData = array(
				'materias' => $_POST['Sumario']['materias'] === '' ? null : $_POST['Sumario']['materias'],
				);

			if ($model->saveWithRelated($relatedData)) {
				$this->redirect(array('view', 'id' => $model->IdSumario));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Sumario')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Sumario');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Sumario('search');
		$model->unsetAttributes();

		if (isset($_GET['Sumario']))
			$model->setAttributes($_GET['Sumario']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

}