<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'sentencia-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'IdSentencia'); ?>
		<?php echo $form->textField($model, 'IdSentencia', array('maxlength' => 10)); ?>
		<?php echo $form->error($model,'IdSentencia'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdTribunal'); ?>
		<?php echo $form->dropDownList($model, 'IdTribunal', GxHtml::listDataEx(Tribunal::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdTribunal'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdMateriaSent'); ?>
		<?php echo $form->dropDownList($model, 'IdMateriaSent', GxHtml::listDataEx(Materiasent::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdMateriaSent'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Tipo'); ?>
		<?php echo $form->textField($model, 'Tipo', array('maxlength' => 14)); ?>
		<?php echo $form->error($model,'Tipo'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'NroInterno'); ?>
		<?php echo $form->textField($model, 'NroInterno', array('maxlength' => 10)); ?>
		<?php echo $form->error($model,'NroInterno'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Fecha'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'Fecha',
			'value' => $model->Fecha,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'Fecha'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Caratula'); ?>
		<?php echo $form->textField($model, 'Caratula', array('maxlength' => 400)); ?>
		<?php echo $form->error($model,'Caratula'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Actora'); ?>
		<?php echo $form->textField($model, 'Actora', array('maxlength' => 150)); ?>
		<?php echo $form->error($model,'Actora'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Demandada'); ?>
		<?php echo $form->textField($model, 'Demandada', array('maxlength' => 150)); ?>
		<?php echo $form->error($model,'Demandada'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Sobre'); ?>
		<?php echo $form->textField($model, 'Sobre', array('maxlength' => 150)); ?>
		<?php echo $form->error($model,'Sobre'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Texto'); ?>
		<?php echo $form->textArea($model, 'Texto'); ?>
		<?php echo $form->error($model,'Texto'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Publica'); ?>
		<?php echo $form->checkBox($model, 'Publica'); ?>
		<?php echo $form->error($model,'Publica'); ?>
		</div><!-- row -->

		<label><?php echo GxHtml::encode($model->getRelationLabel('firmantes')); ?></label>
		<?php echo $form->checkBoxList($model, 'firmantes', GxHtml::encodeEx(GxHtml::listDataEx(Firmante::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('sumarios')); ?></label>
		<?php echo $form->checkBoxList($model, 'sumarios', GxHtml::encodeEx(GxHtml::listDataEx(Sumario::model()->findAllAttributes(null, true)), false, true)); ?>

<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->