<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	//array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	//array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->IdSentencia)),
	//array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->IdSentencia), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php /*echo Yii::t('app', 'View') . ' ' . GxHtml::encode($model->label()) . ' ' . GxHtml::encode(GxHtml::valueEx($model));*/ ?></h1>

<h1>
<?php 
$str = "Sentencia " . GxHtml::encode($model->Tipo) . " N° " . GxHtml::encode($model->NroInterno);
echo GxHtml::encode($str);
?><br>
<?php
	// Header Sumario
	$Fecha = Yii::app()->dateFormatter->format("dd-MM-yyyy",$model->Fecha);
	$header_sentencia = $model->idTribunal->Descripcion." • ".
											$model->Actora." c. ".
											$model->Demandada." s/ ".
											$model->Sobre." • ".
											$Fecha
											;
	echo GxHtml::encode($header_sentencia);
?>  
</h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
		//'Fecha',
		//'idTribunal',
		//'Caratula',
		'Texto',
		//'Actora',
		//'Demandada',
		//'Sobre',
		//'Tipo',
		//'NroInterno',
		array(
					'name' => 'idMateriaSent',
					'type' => 'raw',
					'value' => $model->idMateriaSent->DescripcionMat,
					),
	),
)); ?>

<h2><?php echo GxHtml::encode($model->getRelationLabel('firmantes')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	if ( count( $model->firmantes ) == 0 ) {
		echo "-";
	} else {
		foreach($model->firmantes as $relatedModel) {
			echo GxHtml::openTag('li');
			echo GxHtml::encode(GxHtml::valueEx($relatedModel));
			//echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('firmante/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
			echo GxHtml::closeTag('li');
		}
	}
	echo GxHtml::closeTag('ul');
?>

<h2><?php echo GxHtml::encode($model->getRelationLabel('sumarios')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	if ( count( $model->sumarios ) == 0 ) {
		echo "-";
	} else {
		foreach($model->sumarios as $relatedModel) {
			echo GxHtml::openTag('li');
			//echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('vistasumario/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
			//echo GxHtml::encode(Yii::app()->format->ShortText($relatedModel->Texto)); 
				$Fecha = Yii::app()->dateFormatter->format("dd-MM-yyyy", $model->Fecha);
				$vinculo_sumario = 	$model->idTribunal->Descripcion." • ".
														$model->Actora." c. ".
														$model->Demandada." s/ ".
														$model->Sobre." • ".
														$Fecha
														;
				echo GxHtml::link( GxHtml::encode($vinculo_sumario), array('vistasumario/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true))); 
				?>  
				<br />
			
				<?php 
				// Resumen texto sumario
				echo CHtml::tag('div', array('class'=>'ident-sumario'), Yii::app()->format->ShortText($relatedModel->Texto)); 
	
			echo GxHtml::closeTag('li');
		}
	}
	echo GxHtml::closeTag('ul');
?>

<?php
// Get array of keywords
//Yii::log("opLogCaratula = ".$data->opLogCaratula, 'info', 'application');
define('FRASE_EXACTA' , 2);
define('IDX_CARATULA' , 0);
define('IDX_TEXTO'		, 1);

$arrFields	 		= Yii::app()->session['arrFieldsSent'];
$opcionCaratula = Yii::app()->session['opcionCaratulaSent'];
$opcionTexto	  = Yii::app()->session['opcionTextoSent'];
$arrKeywords 		= array();

$arrKeywords = Yii::app()->global->GetKeywords( $arrFields[IDX_CARATULA], $opcionCaratula );
$arrKeywords = array_merge( $arrKeywords, Yii::app()->global->GetKeywords( $arrFields[IDX_TEXTO], $opcionTexto) );

//Yii::log("arrFields = ".print_r($arrFields, true), 'info', 'application');
//Yii::log("opcionCaratula = ".$opcionCaratula, 'info', 'application');
//Yii::log("opcionTexto = ".$opcionTexto, 'info', 'application');
//Yii::log("arrKeywords = ".print_r($arrKeywords, true), 'info', 'application');

// Highlight keywords
if( is_array( $arrKeywords ) ) {
	$baseUrl = Yii::app()->baseUrl; 
	$cs = Yii::app()->getClientScript();
	$cs->registerCssFile($baseUrl.'/css/aplicacion.css');
	
	$this->widget('ext.jQueryHighlight.DJqueryHighlight', array(
			'selector' => '.span9',
			'words' => array_values( $arrKeywords ), 
	));
}


//-------------------------------------------------------------------------
// Get array of keywords
/*$keywords = Yii::app()->session['KeywordsSent'];
$array = Yii::app()->global->GetKeywords( $keywords );

// Highlight keywords
if( is_array( $keywords ) ) {
	$baseUrl = Yii::app()->baseUrl; 
	$cs = Yii::app()->getClientScript();
	$cs->registerCssFile($baseUrl.'/css/aplicacion.css');
	
	$this->widget('ext.jQueryHighlight.DJqueryHighlight', array(
			'selector' => '.span9',
			'words' => array_values( $array ), 
	));
}*/
?>