<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'sumario-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'IdSumario'); ?>
		<?php echo $form->textField($model, 'IdSumario', array('maxlength' => 10)); ?>
		<?php echo $form->error($model,'IdSumario'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdSentencia'); ?>
		<?php echo $form->dropDownList($model, 'IdSentencia', GxHtml::listDataEx(Sentencia::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdSentencia'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Tema'); ?>
		<?php echo $form->textField($model, 'Tema', array('maxlength' => 700)); ?>
		<?php echo $form->error($model,'Tema'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Texto'); ?>
		<?php echo $form->textArea($model, 'Texto'); ?>
		<?php echo $form->error($model,'Texto'); ?>
		</div><!-- row -->

		<label><?php echo GxHtml::encode($model->getRelationLabel('normativas')); ?></label>
		<?php echo $form->checkBoxList($model, 'normativas', GxHtml::encodeEx(GxHtml::listDataEx(Normativa::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('materias')); ?></label>
		<?php echo $form->checkBoxList($model, 'materias', GxHtml::encodeEx(GxHtml::listDataEx(Materia::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('votos')); ?></label>
		<?php echo $form->checkBoxList($model, 'votos', GxHtml::encodeEx(GxHtml::listDataEx(Voto::model()->findAllAttributes(null, true)), false, true)); ?>

<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->