<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('vistasumario/index')),
		//array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('vista-sumario-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
<?php echo Yii::t('app', 'You may optionally enter a comparison operator') . ' (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) ' . 
			Yii::t('app', 'at the beginning of each of your search values to specify how the comparison should be done.'); ?>
</p>

<?php //echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display: inline;">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'vista-sumario-grid',
	'dataProvider' => $model->search(),
	//'filter' => $model,
	'columns' => array(
		//'IdSumario',
		'NroInterno',
		//'IdSentencia',
		'Tema',
		'Texto:shortText',
		//'IdMateria',
		'Materia',
		/*
		'Actora',
		'Demandada',
		'Sobre',
		'IdFirmante',
		'Firmante',
		'IdTribunal',
		'Tribunal',
		'Fecha',
		*/
		array(
			'class' => 'CButtonColumn',
			//'template'=>'{update}{view}{delete}',
			'template'=>'{view}',
			'buttons'=>array
			(
				'view' => array
				(
					'url'=>'Yii::app()->createUrl("vistasumario/view", array("id"=>$data->IdSumario))',
				),
			),
		),
	),
)); ?>