<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		//array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		//array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('estandarsubestandar-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'estandarsubestandar-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		//'IdResolucion',
		'Codigo',
		'Titulo',
		//'Categoria',
		array(
			'header' => 'Categoría',
			'value' => '$data->Categoria',
			'filter' => CHtml::dropDownList('Estandarsubestandar[Categoria]',
				$model->Categoria, CHtml::listData(Categoria::model()->findAll(),'Categoria', 'Categoria'),
				array('empty' => ''))
		),
		//'Circunscripcion',
		array(
			'header' => 'Circunscripción',
			'value' => '$data->Circunscripcion',
			'filter' => CHtml::dropDownList('Estandarsubestandar[Circunscripcion]',
				$model->Circunscripcion, CHtml::listData(Circunscripcion::model()->findAll(),'Nombre', 'Nombre'),
				array('empty' => ''))
		),
		//'Estandar',
		array(
			'header' => 'Estandar',
			'value' => '$data->Estandar',
			'filter' => CHtml::dropDownList('Estandarsubestandar[Estandar]',
				$model->Estandar, CHtml::listData(Estandard::model()->findAll(),'Estandar', 'CodEstandar'),
				array('empty' => ''))
		),
		//'Subestandard',
		array(
			'header' => 'Subestandar',
			'value' => '$data->Subestandard',
			'filter' => CHtml::dropDownList('Estandarsubestandar[Subestandard]',
				$model->Subestandard, CHtml::listData(Subestandard::model()->findAll(),'Subestandard', 'CodSubestandar'),
				array('empty' => ''))
		),

		array(
			'class' => 'CButtonColumn',
			'template'=>'{view}',
			'buttons'=>array
			(
					'view' => array
					( 'url'=>'Yii::app()->createUrl("resolucion/view", array("id"=>$data->IdResolucion))', ),
			),
		
		),
	),
)); ?>