<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'resolucion-form',
	'enableAjaxValidation' => false,
	'htmlOptions' => array('enctype' => 'multipart/form-data'),
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'Codigo'); ?>
		<?php echo $form->textField($model, 'Codigo', array('maxlength' => 30)); ?>
		<?php echo $form->error($model,'Codigo'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Titulo'); ?>
		<?php echo $form->textField($model, 'Titulo', array('maxlength' => 800, 'class' => 'input-block-level')); ?>
		<?php echo $form->error($model,'Titulo'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Sumario'); ?>
		<?php echo $form->textArea($model, 'Sumario', array('class' => 'input-block-level','rows'=>'6') ); ?>
		<?php echo $form->error($model,'Sumario'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Sintesis'); ?>
		<?php echo $form->textArea($model, 'Sintesis', array('class' => 'input-block-level','rows'=>'6') ); ?>
		<?php echo $form->error($model,'Sintesis'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Texto'); ?>
		<?php echo $form->textArea($model, 'Texto', array('class' => 'input-block-level','rows'=>'6') ); ?>
		<?php echo $form->error($model,'Texto'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Fecha'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'Fecha',
			'value' => $model->Fecha,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'Fecha'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdCircunscripcion'); ?>
		<?php echo $form->dropDownList($model, 'IdCircunscripcion', GxHtml::listDataEx(Circunscripcion::model()->findAllAttributes(null, true)), 
					array('prompt' => '',
								'ajax' => array(
									'dataType' => 'text',
									'data'=> array('IdCircunscripcion'=>'js:$(this).val()',
																 'Promt'						=>'',),
									'url' => Yii::app()->createUrl('resolucion/GetJuzgados'),
									'type' => 'get',
									'success' => 'function(result) {
										$("#Resolucion_IdJuzgado").html(result);
									}'
								),
					)); 
		?>
		<?php echo $form->error($model,'IdCircunscripcion'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdJuzgado'); ?>
		<?php echo $form->dropDownList($model, 'IdJuzgado', GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdJuzgado'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdCategoria'); ?>
		<?php echo $form->dropDownList($model, 'IdCategoria', GxHtml::listDataEx(Categoria::model()->findAllAttributes(null, true)),array('prompt' => '')); ?>
		<?php echo $form->error($model,'IdCategoria'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdTipo'); ?>
		<?php echo $form->dropDownList($model, 'IdTipo', GxHtml::listDataEx(Tipo::model()->findAllAttributes(null, true)),array('prompt' => '')); ?>
		<?php echo $form->error($model,'IdTipo'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdProvincia'); ?>
		<?php echo $form->dropDownList($model, 'IdProvincia', GxHtml::listDataEx(Provincia::model()->findAllAttributes(null, true)), 
					array('prompt' => '',
								'ajax' => array(
									'dataType' => 'text',
									'data'=> array('IdProvincia'=>'js:$(this).val()',
																 'Promt'			=>'',),
									'url' => Yii::app()->createUrl('resolucion/GetDepartamentos'),
									'type' => 'get',
									'success' => 'function(result) {
										$("#Resolucion_IdDepartamento").html(result);
									}'
								),
					)); 
		?>
		<?php echo $form->error($model,'IdProvincia'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'IdDepartamento'); ?>
		<?php echo $form->dropDownList($model, 'IdDepartamento', GxHtml::listDataEx(Departamento::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'IdDepartamento'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Localidad'); ?>
		<?php echo $form->textField($model, 'Localidad', array('maxlength' => 300)); ?>
		<?php echo $form->error($model,'Localidad'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Domicilio'); ?>
		<?php echo $form->textField($model, 'Domicilio', array('maxlength' => 300)); ?>
		<?php echo $form->error($model,'Domicilio'); ?>
		</div><!-- row -->
		<div class="row">
		<div id="mapid" style="height: 400px; width: 600px"></div>
		
		<?php echo CHtml::script("
						var lat = ".($model->isNewRecord || (!isset($model->Latitud) || !isset($model->Longitud)) ? '-28.4689' : $model->Latitud).";
						var lng = ".($model->isNewRecord || (!isset($model->Latitud) || !isset($model->Longitud)) ? '-65.7790' : $model->Longitud).";

						var map = new L.Map('mapid', {
							attributionControl: false,
							fullscreenControl: true,
							fullscreenControlOptions: {
								position: 'topleft',
								title: 'Titulo Mapa',
								titleCancel: 'Titulo Cancelar',
							}
						}).setView([lat, lng], 13);
						
						L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
							maxZoom: 18,
						}).addTo(map);	
						
						var newLatLng = new L.LatLng(lat, lng);
						var marker = new L.marker(newLatLng, {draggable:'true'}).addTo(map);
						
						map.on('click', function(e) {
								var lat = (e.latlng.lat);
								var lng = (e.latlng.lng);
								var newLatLng = new L.LatLng(lat, lng);
								marker.setLatLng(newLatLng); 
								var latitud  = Math.round(lat * 1e6) / 1e6;
								var longitud = Math.round(lng * 1e6) / 1e6;
								$('#Resolucion_Latitud').val(latitud);
								$('#Resolucion_Longitud').val(longitud);
						});

						marker.on('dragend',function(e){
								var changedPos = e.target.getLatLng();
								var lat = changedPos.lat;
								var lng = changedPos.lng;
								var latitud  = Math.round(lat * 1e6) / 1e6;
								var longitud = Math.round(lng * 1e6) / 1e6;
								$('#Resolucion_Latitud').val(latitud);
								$('#Resolucion_Longitud').val(longitud);
						});						
						
       		"); 
    ?>
    <?php if( $model->isNewRecord ) echo CHtml::script("
				map.locate({setView: true, maxZoom: 18});

				function onLocationFound(e) {
						var radius = e.accuracy;
						/*L.marker(e.latlng).addTo(map)
								.bindPopup(\"You are within \" + radius + \" meters from this point\").openPopup();*/
						//L.circle(e.latlng, radius).addTo(map);
						marker.setLatLng(e.latlng);
						var latitud  = Math.round(e.latlng.lat * 1e6) / 1e6;
						var longitud = Math.round(e.latlng.lng * 1e6) / 1e6;
						$('#Resolucion_Latitud').val(latitud);
						$('#Resolucion_Longitud').val(longitud);
				}
				map.on('locationfound', onLocationFound);
	
				function onLocationError(e) {
						alert(e.message);
				}
				map.on('locationerror', onLocationError);						
    	"); 
    ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Latitud'); ?>
		<?php echo $form->textField($model, 'Latitud', array('maxlength' => 10)); ?>
		<?php echo $form->error($model,'Latitud'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'Longitud'); ?>
		<?php echo $form->textField($model, 'Longitud', array('maxlength' => 11)); ?>
		<?php echo $form->error($model,'Longitud'); ?>
		</div><!-- row -->
		<div class="row">
    <?php echo $form->labelEx($model, 'Archivo', array('label'=>'Archivo: '.$model->Archivo)); ?>
    <?php echo $form->fileField($model, 'Archivo'); ?>
    <?php //echo '<button id="btn_borrar" type="button">Borrar</button>' ?>
		<?php echo $form->error($model,'Archivo'); ?>
		</div><!-- row -->

		<label><?php //echo GxHtml::encode($model->getRelationLabel('estandardresols')); ?></label>
		<?php //echo $form->checkBoxList($model, 'estandardresols', GxHtml::encodeEx(GxHtml::listDataEx(Estandardresol::model()->findAllAttributes(null, true)), false, true)); ?>

    <label><?php echo GxHtml::encode('Estandares y Subestandares'); ?></label>
    <?php 
			Yii::app()->clientScript->registerScript('search', "
				$('input[type=\"checkbox\"]').click(function(){
					if($(this).prop(\"checked\") == true){
						//$(this).parent().parent().parent().children('input[type=\"checkbox\"]').css('background-color', 'red');
						$(this).parent().parent().parent().children('input[type=\"checkbox\"]').prop('checked', true);
						//alert('Checkbox is checked.');
					}
					else if($(this).prop(\"checked\") == false){
						$(this).parent().find('input[type=\"checkbox\"]').prop('checked', false);
						//alert(\"Checkbox is unchecked.\");
					}
				});
				
				/*$('#btn_borrar').click(function(){
					//$(\"#Resolucion_Archivo\").value = '';
					$(\"#Resolucion_Archivo\").value = '';
					alert('Click Borrar');
				});*/
			");

			echo CHtml::openTag( 'ul',array());
			foreach (Estandard::model()->findAllAttributes(null, true) as $Estandard) {
				echo CHtml::openTag( 'li',array());
				echo $form->checkBox($model,
					'ListaEstandares[E'.$Estandard->IdEstandard.']',
					array('id'=>'E'.$Estandard->IdEstandard,
						'value'=>$Estandard->IdEstandard, 
						'checked'=>((in_array('E'.$Estandard->IdEstandard, $model->ListaEstandares))?'checked':''),
						/*'checked'=>'checked'*/
					)
				);
				echo CHtml::Tag( 'label',array('for'=>'E'.$Estandard->IdEstandard, 'style'=>'display:inline; margin-left:5px;'),$Estandard,true);
				
					echo CHtml::openTag( 'ul',array());
					foreach ($Estandard->subestandards as $Subestandar) {
						echo CHtml::openTag( 'li',array());
						echo $form->checkBox($model,
							'ListaEstandares[S'.$Subestandar->IdSubEstandard.']',
							array('id'=>'S'.$Subestandar->IdSubEstandard,
								'value'=>$Subestandar->IdSubEstandard,
								'checked'=>((in_array('S'.$Subestandar->IdSubEstandard, $model->ListaEstandares))?'checked':''),
								/*'checked'=>'checked'*/
							)
						);
						echo CHtml::Tag( 'label',array('for'=>'S'.$Subestandar->IdSubEstandard, 'style'=>'display:inline; margin-left:5px;'),$Subestandar,true);
						echo CHtml::closeTag('li');
					}
					echo CHtml::closeTag('ul');
				
				echo CHtml::closeTag('li');
			}
			echo CHtml::closeTag('ul');
		?>

<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>

<?php
	if( $model->isNewRecord ) {
		Yii::app()->clientScript->registerScript('ProvinciaDefault',"
				$.ajax({
				url: '".Yii::app()->createUrl('resolucion/GetDepartamentos')."',
				data: { IdProvincia: $(\"#Resolucion_IdProvincia\").val(), Promt: '' },
				type: \"GET\",
				success: function (result) {
						$(\"#Resolucion_IdDepartamento\").html(result);
				},
				error: function () {
						console.log(\"failure\");
				}
		});
		",CClientScript::POS_READY);
	}
?>

<?php
	if( $model->isNewRecord ) {
		Yii::app()->clientScript->registerScript('CircunscripcionDefault',"
				$.ajax({
				url: '".Yii::app()->createUrl('resolucion/GetJuzgados')."',
				data: { IdCircunscripcion: $(\"#Resolucion_IdCircunscripcion\").val(), Promt: '' },
				type: \"GET\",
				success: function (result) {
						$(\"#Resolucion_IdJuzgado\").html(result);
				},
				error: function () {
						console.log(\"failure\");
				}
		});
		",CClientScript::POS_READY);
	}
?>

<?php 
	Yii::app()->clientScript->registerCssFile( 'https://unpkg.com/leaflet@1.3.1/dist/leaflet.css' );
	Yii::app()->clientScript->registerScriptFile( 'https://unpkg.com/leaflet@1.3.1/dist/leaflet.js' );
	
	// Plugin - FullScreen
	$assetUrl = Yii::app()->getAssetManager()->publish(Yii::getPathOfAlias('ext.leafletfullscreenmaster'));
	Yii::app()->clientScript->registerCssFile($assetUrl.'/Control.FullScreen.css'); 
	Yii::app()->clientScript->registerScriptFile($assetUrl.'/Control.FullScreen.js'); 
?>

</div><!-- form -->