<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('resolucion-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
<?php echo Yii::t('app', 'You may optionally enter a comparison operator') . ' (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) ' . 
			Yii::t('app', 'at the beginning of each of your search values to specify how the comparison should be done.'); ?>
</p>

<?php echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display: none;">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'resolucion-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		//'IdResolucion',
		'Codigo',
		'Titulo',
		//'Sumario:shortText',
		'Sintesis:shortText',
		'Texto:shortText',
		/*
		'Fecha',
		array(
				'name'=>'IdCircunscripcion',
				'value'=>'GxHtml::valueEx($data->idCircunscripcion)',
				'filter'=>GxHtml::listDataEx(Circunscripcion::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'IdJuzgado',
				'value'=>'GxHtml::valueEx($data->idJuzgado)',
				'filter'=>GxHtml::listDataEx(Juzgado::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'IdCategoria',
				'value'=>'GxHtml::valueEx($data->idCategoria)',
				'filter'=>GxHtml::listDataEx(Categoria::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'IdTipo',
				'value'=>'GxHtml::valueEx($data->idTipo)',
				'filter'=>GxHtml::listDataEx(Tipo::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'IdProvincia',
				'value'=>'GxHtml::valueEx($data->idProvincia)',
				'filter'=>GxHtml::listDataEx(Provincia::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'IdDepartamento',
				'value'=>'GxHtml::valueEx($data->idDepartamento)',
				'filter'=>GxHtml::listDataEx(Departamento::model()->findAllAttributes(null, true)),
				),
		'Localidad',
		'Domicilio',
		'Latitud',
		'Longitud',
		'Archivo',
		*/
		array(
			'class' => 'CButtonColumn',
		),
	),
)); ?>