<?php

Yii::import('application.models._base.BaseUser');
DEFINE('SALT_LENGTH', 10);

class User extends BaseUser
{
	
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}
	
	public function defaultScope() {
		return array (
			'condition' => 'iduser='.Yii::app()->user->getId(),
		);
	}
	
	/**
	 * @return boolean validate user
	 */
	public function validatePassword($password, $username){
//Yii::log( '$HASHPassword='.$this->hashPassword($password, $username), 'warning', 'application');		
			return $this->hashPassword($password, $username) === $this->password;
	}
	/**
	 * @return hashed value
	 */
	
	public function hashPassword($phrase, $salt = null){
			$key = 'Gf;B&yXL|beJUf-K*PPiU{wf|@9K9j5?d+YW}?VAZOS%e2c -:11ii<}ZM?PO!96';
			if($salt == '')
					$salt = substr(hash('sha512', $key), 0, SALT_LENGTH);
			else
					$salt = substr($salt, 0, SALT_LENGTH);
			return hash('sha512', $salt . $key . $phrase);
	}
	
	protected function beforeSave() {
		// Encrypt password 
		$this->password 			 = $this->hashPassword($_POST['User']['password']			  , $this->username);
		$this->passwordCompare = $this->hashPassword($_POST['User']['passwordCompare'], $this->username);

		return parent::beforeSave();
	}

	public function behaviors()
	{
			return array(
					// Classname => path to Class
					'UserBehavior'=>
							'application.behaviors.AuditoriaBehavior',
			);
	}	
	
}